var viewHtml = "init.html";
var searchStrs = "";
var tmpsearchStrs = "";
$('#tab1').on('click', function() {
	$('.sidebar-collapse').css("display", "block");
	$('.search').css("display", "none");
	$('#tab1').addClass("select");
	$('#tab2').removeClass("select");
	tmpsearchStrs = searchStrs;
	searchStrs = "";
})
$('#tab2').on('click', function() {
	$('.sidebar-collapse').css("display", "none");
	$('.search').css("display", "block");
	$('#tab1').removeClass("select");
	$('#tab2').addClass("select");
	searchStrs = tmpsearchStrs;
})
$('#searchbutton').on('click', function() {
	fncDoSearch();
})

$("#searchTextbox").keypress(function(e){
	if(e.which != 13){
		return;
	}
	fncDoSearch();
});

function fncDoSearch() {
	var strSearchTexts = $('#searchTextbox').val();
	if(strSearchTexts == ""){
		return;
	}
	$('.sidebar-search').css("display","");
	var strSearchTexts = $('#searchTextbox').val();
	strSearchTexts = escapeSearchText(strSearchTexts);
	// 検索条件をエスケープ
	showSearchResult(strSearchTexts);
}

// 検索条件をエスケープ
function escapeSearchText(strSearchTexts){
		var regexpEscapeJson = /([$()\-^\\\|\[\]{},:+*.?])/g;
		if (regexpEscapeJson.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeJson, "\\$1");
		}
		var regexpEscapeHtmlAmp = /(&)/g;
		if (regexpEscapeHtmlAmp.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeHtmlAmp, "&amp;");
			strSearchTextsOriginal = strSearchTextsOriginal.replace(regexpEscapeHtmlAmp, "&amp;");
		}
		var regexpEscapeHtmlLt = /(<)/g;
		if (regexpEscapeHtmlLt.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeHtmlLt, "&lt;");
			strSearchTextsOriginal = strSearchTextsOriginal.replace(regexpEscapeHtmlLt, "&lt;");
		}
		var regexpEscapeHtmlGt = /(>)/g;
		if (regexpEscapeHtmlGt.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeHtmlGt, "&gt;");
			strSearchTextsOriginal = strSearchTextsOriginal.replace(regexpEscapeHtmlGt, "&gt;");
		}
		return strSearchTexts;
}

function showSearchResult(strSearchTexts){
	// 検索先情報 (search.json) の取得
	var s = eval(search);
	// 検索先情報分ループ
	var iLoopLength = s.length;
	var result = '<div id="id_search_results" style="background-color: rgb(255, 255, 255);height: calc(87vh - 170px);">';
	var resultCount = 0;
	var searchTexts = createSearchText(strSearchTexts);
	for (var i = 0; i < iLoopLength; i++) {
		// 検索先情報の取得
		var body = s[i].body;		// 本文
		// 本文が空ならスキップ
		if (!body || !searchBody(body,strSearchTexts)) {
			continue;
		}
		result += createSearchResultDiv(s[i], searchTexts)
		resultCount++;
	}
	result += "</div>";
	var viewResult ="<div id=\"id_search_info\"> <span style=\"color: #cf4e32;\">" + resultCount + "</span> " + resultStr + "</div>";
	viewResult += result;
	$(".sidebar-search").html(viewResult);
}

function searchBody(body, strSearchTexts){
	var resultBoolean = true;
	body = body.toLowerCase();
	var searchTexts = createSearchText(strSearchTexts);
	$.each(searchTexts, function(index, value){
		if(value != " " && !body.match(value.replace("#space", " "))){
			resultBoolean = false;
			return false;
		}
	})
	return resultBoolean;
}

function createSearchText(strSearchTexts){
	strSearchTexts = strSearchTexts.toLowerCase();

	//ダブルクォーテーションの中の文字はスペースがあっても分割しない。
	strSearchTexts = strSearchTexts.replace(/"(.*?) (.*?)"/,"$1#space$2").replace(/　/," ");
	var txt = strSearchTexts.split(" ");
	//空要素と重複要素を除去
	var arr2 = txt.filter(function(s){return s !== '';});
	var arr3 = arr2.filter(function (x, i, self) {
		return self.indexOf(x) === i;
	});
	return arr3;
}

//検索結果のDivを作成します。
function createSearchResultDiv(target, searchTexts){
	searchStrs = searchTexts;
	var arrResults = new Array();
	arrResults.push("<div class=\"search_topic_title\">");
	arrResults.push("&nbsp;");

	arrResults.push("<a href=\"javascript:changeHtml('" + target.HTMLFileName + "');\">");
	arrResults.push(target.title);
	arrResults.push("</a>");

	arrResults.push("</div>");
	arrResults.push("<div class=\"search_topic_summary\">");
	arrResults.push(markingColor(searchTexts, target.body));
	arrResults.push("</div>");
	return arrResults.join("");

}

//targetで指定した文字をハイライトします。
function markingColor(target, body){
	var nMarkerColor = 0;
	var strMarkerColor = "";
	var strMarkerEndColor = "";
	var baseLength = body.length;
	for (var k = 0; k < target.length; k++) {
		target[k] =target[k].replace("#space", " ");
		if(target[k] != " "){
			switch (nMarkerColor) {
				case 0:
					strMarkerColor = String.fromCharCode(0x2080);
					break;
				case 1:
					strMarkerColor = String.fromCharCode(0x2081);
					break;
				case 2:
					strMarkerColor = String.fromCharCode(0x2082);
					break;
				case 3:
					strMarkerColor = String.fromCharCode(0x2083);
					break;
				case 4:
					strMarkerColor = String.fromCharCode(0x2084);
					break;
			}

			var targetRegexp = new RegExp(target[k],'gi');
			var matchList = body.match(targetRegexp);
			var nonDuplicationlist = matchList.filter(function (x, i, self) {
				return self.indexOf(x) === i;
			});
			for (var t of nonDuplicationlist) {
				body = body.replaceAll(t,strMarkerColor +  t + String.fromCharCode(0x2085))
			}
			
			nMarkerColor++;
			if(nMarkerColor > 4){
				nMarkerColor = 0;
			}
		}
	}
	
	var resultBody = "";
	for (var k = 0; k < target.length; k++) {
		target[k] =target[k].replace("#space", " ");
		var strcount = body.search(target[k]);
		var baseBody = body;
		var startCount = strcount - 21;
		if(startCount < 0){
			startCount = 0;
		}
		targetBody = baseBody.substring(startCount, strcount + target[k].length + 21);
		if(strcount - 20 > 0){
			targetBody = "..." + targetBody;
		}
		if(strcount + target[k].length + 20 < baseLength){
			targetBody = targetBody + "...";
		}
		resultBody += targetBody;
	}
	resultBody = resultBody.replace(/\u2080/g, "<span class=\"backA\">");
	resultBody = resultBody.replace(/\u2081/g, "<span class=\"backB\">");
	resultBody = resultBody.replace(/\u2082/g, "<span class=\"backC\">");
	resultBody = resultBody.replace(/\u2083/g, "<span class=\"backD\">");
	resultBody = resultBody.replace(/\u2084/g, "<span class=\"backE\">");
	resultBody = resultBody.replace(/\u2085/g, "</span>");

	return resultBody;
}

function changeHtml(htmlName) {
	$('#frame').attr("src", htmlName);
	viewHtml = htmlName;
	$('.topic').removeClass('thisTopic');
    $('#' + htmlName.replace(".html", "")).addClass('thisTopic');
    if(window.innerWidth <768){
   		$('nav.navbar-side').removeClass('open').addClass("in");
   		$('button.navbar-toggle').removeClass('open').addClass("collapsed")
	}
}
$('#frame').load(function(){
	$('#frame')[0].contentWindow.postMessage(searchStrs, "*");	// iframeの場合
});
var search=[{topicId:"guid-7c7b0816-2ebf-002a-b827-a63a77043e43",body:"SkyPDF Utility HelpIn this Help, explain about the features of SkyPDF Utility. [Merge PDF files] TabYou can merge several PDF files to a PDF file.[Split PDF file/Extract pages] TabYou can split a PDF file to several PDF files, or extract pages by specified option. [Create PDF files] TabMultiple files will be converted to PDF files at once if there are compatible files.[Extract form data] TabExtract the form data contained in a PDF file and outputs it as either a CSV or XML file.[Setting] MenuPDF Setting and option. [Version]Display and confirm the version of this tool.   SKYCOM FAQ https://faq.skycom.jp/     ",title:"SkyPDF Utility Help",HTMLFileName:"SkyPDF Utility Help_guid-7c7b0816-2ebf-002a-b827-a63a77043e43_0.html"},{topicId:"guid-8ae5606b-e0b9-33d1-b4f1-15c3e0a90ba7",body:"[Merge PDF files] TabYou can merge several PDF files to a PDF file in the [PDF Merge] tab of the SkyPDF Utility. If the output file is assigned the same folder and given the same filename as the original file, the original file will be overwritten when the PDFs are merged. When merging PDFs, take measures such as backing up data in advance, and proceed with caution.Please close PDF Viewer when starting merging PDF files.A fault might be happened in a file name or a directory to output if there is a file to be a time-out.[Source PDF Files] area[Add] Select a PDF file from [Select file] to add the selected PDF file to the file list. It is also able to drag and drop PDF files in the file list. You cannot add PDF files with security. Please do not select a PDF file with a signature.[Up] [Down] To change the order, press the [Up][Down] buttons.[Sort] [...]When you press [...], you can configure the sorting of the file list. When you press [Sort], the file list is sorted according to the settings made in [...]. [Remove] [Remove All] To remove a file from the file list, press the [Remove] button. To remove all files from the file list, press the [Remove All] button. [View]To view the PDF file selected in the list, press the [View] button. PDF Viewer will be run and the PDF file will be opened.PDF files will be merged in the descending order in the file list.If the topmost file is a PDF with bookmarks, any bookmarks in the second and subsequent files will remain valid and be merged. If the topmost file is a PDF without bookmarks, even if the second and subsequent files contain bookmarks, they will be rendered invalid when the files are merged.[Output Folder] area[Select an output directory] Press the Browse button and select an output directory. [Same as source] The PDF file will be saved in the same directory as the top file in the file list. [Output FileName] area[Same name] The PDF file will be saved with the same name of the top file in the file list. [Rename] Rename the file name.  The following characters cannot be used. \\ / : * ? &quot; < > [Add a bookmark of the filename for each file to be merged]The table below shows an example of the merge result when the checkbox is unchecked.  BeforeAfter Sample1.pdfSample2.pdfSample3.pdfSample1.pdf (possibly renamed)BookmarksAAA BBB CCC(1) (2) (3) AAA BBB CCC (1) (2) (3)The table below shows an example of the merge result when the checkbox is checked.    BeforeAfter Sample1.pdfSample2.pdfSample3.pdfSample1.pdf (possibly renamed)BookmarksAAA BBB CCC(1) (2) (3) Sample1  ├ AAA  ├ BBB  └ CCC Sample2  ├ (1)  ├ (2)  └ (3) Sample3[Start]Press the [Start] button to start processing. The processing will be canceled by pressing [Cancel] button.  ",title:"[Merge PDF files] Tab",HTMLFileName:"Merge PDF files Tab_guid-8ae5606b-e0b9-33d1-b4f1-15c3e0a90ba7_1.html"},{topicId:"guid-7f056bd1-8f77-abef-104d-118d3f61010a",body:"[Split PDF file/Extract pages] TabIn the [PDF Merge] tab of the SkyPDF Utility, you can split a PDF file to several PDF files, or extract pages by specified option. Please close PDF Viewer when starting splitting the file or extracting pages.A fault might be happened in a file name or a directory to output if there is a file to be a time-out.[Source PDF File] area[Add] Select a PDF file from [Select file] to add the selected PDF file to the file list. It is also able to drag and drop PDF files in the file list. You cannot add PDF files with security. Please do not select a PDF file with a signature or a bookmark. [Remove]To Remove the selected PDF file from the file list, press the [Remove] button.  [View] To view the PDF file selected, press the [View] button. PDF Viewer will be run and the PDF file will be opened.Options[Split by per page]One-page PDF files will be created for each page of a multi-page PDF file. e.g. For a 6-page PDF file, 6 PDF files will be created.[Split by every * pages]Multiple PDF files will be created by splitting a PDF file into files a specified number of pages in size. Enter the number of pages directly in the text box. e.g. When 2 is specified, a 6-page PDF file is split into 3 2-page PDF files. The content of each PDF file is as follows: - page 1 - page 2 of the original PDF file - page 3 - page 4 of the original PDF file - page 5 - page 6 of the original PDF file[Specify pages] Extract pages by the page number or range. Enter directly into the text box as shown in the example below.If you enter only one number, only that page will be extracted. e.g. 20 : In this case, extract the page number 20. In the case of &quot;-&quot;(hyphen) and a number, extract pages from the top page to the specified page number. e.g. -5 :In this case, extract pages from the top page to the page number 5. Place a hyphen between two numbers to extract the specified page range. e.g. 6-10 : In this case, extract the page number 6-10. In the case of a number and &quot;-&quot; (hyphen), extract pages from the specified page number to the last page. e.g. 7- : In this case, extract pages from the page number 7 to the last page. It is able to put the above options together and separate each option with &quot;,&quot; (comma). e.g. 20,-5,6-10,7- [Extract odd pages] [Extract even pages] Extract odd or even pages only.  e.g. By extracting the odd-numbered pages from a 6-page PDF file, a single PDF file is created by extracting pages 1, 3, and 5.[Output Folder] area[Select an output directory]Press the Browse button and select an output directory.[Same as source]The PDF file will be saved in the same directory as the source file in the file list.[Output FileName] area[Same as source + Incremental No.]Files created by splitting/page extraction will be saved with same filename as the source PDF file with sequential numbers added to them.[Rename + Incremental No.]Rename the file name. The PDF file will be saved with the new name and incremental no. The following characters cannot be used. \\ / : * ? &quot; < > [Incremental No.][None] No joint character like File1, File2, File3…[Hyphen] Add a hyphen between file name and incremental number like File-1, File-2, File-3…[Underline] Add an underline between file name and incremental number like File_1, File_2, File_3…[Replace all existing files]Any files that exist with the same filename will be overwritten. When this checkbox is checked, any files in the output destination with the same filename will be overwritten without warning. When selecting [Start], take measures such as backing up data in advance, and proceed with caution.[Start]Press the [Start] button to start processing. The processing will be canceled pressing [Cancel] button and the created files will be left.  ",title:"[Split PDF file/Extract pages] Tab",HTMLFileName:"Split PDF file Extract pages Tab_guid-7f056bd1-8f77-abef-104d-118d3f61010a_2.html"},{topicId:"guid-255b6219-f400-489c-2226-cf7d70c2acb3",body:"[Create PDF files] TabIn the [PDF Merge] tab of the SkyPDF Utility,  multiple files will be converted to PDF files at once if there are compatible files. (Ex.) If you output two Word files and one Excel file at once, three PDF files will be output. Compatible filesDocument and image files with the following extensions are compatible with conversion to PDF files.  Document files .doc / .docx / .xls / .xlsx / .ppt / .pptx / .vsd / .jtd / .txt Text file extensions can be set separately.Image files .jpg / .jpeg / .jpe / .jp2 / .jfif / .bmp / .dib / .gif / .png / .tiff / .tif When an image file is converted to a PDF file, the driver settings of this product are not applied.For Ichitaro files that are divided into multiple sheets in the same file, only the active sheet is output as a PDF file.For Excel files (1 book) that are divided into multiple sheets in the same file, the entire book will be output as a PDF file. However, if the print quality (dpi value in [File] - [Page settings]) differs for each sheet, there are instances where midway through the outputting process, only the rightmost final sheet will be output as a PDF.If bulk PDF output does not work well, convert the files to PDFs using other methods and then make adjustments using this tool's merge and split functions.[Source Files] area[Add]Select a PDF file from [Select file] to add the selected PDF file to the file list. It is also able to drag and drop PDF files in the file list.[Up] [Down]To change the order, press the [Up][Down] buttons.[Sort] [...]When you press [...], you can configure the sorting of the file list. When you press [Sort], the file list is sorted according to the settings made in [...].[Remove] [Remove All]To remove a file from the file list, press the [Remove] button. To remove all files from the file list, press the [Remove All] button.[Clear]After converting to PDF file, when selecting a document in the Source Files list and then click [Clear], the document is treated as unconverted status.[View]To view the selected file in the [Source Files], press the [View] button. Each software of the selected file will be run and the PDF file will be opened.  PDF files will be created one by one from the top of the file list.[Specify Folder] areaSelect a folder from [Browse] to target all compatible files directly under the selected folder for bulk PDF output. When the [Convert files in subfolders to PDF] checkbox is checked, all compatible files in the specified folder will be converted. The [Specify folder] area can be set at the same time as the [Specify bulk file] area. After the files specified in the [Specify bulk file] area, the files specified in the [Specify folder] area will be output at once. [The file extension for output as text] areaSpecify the file extension for output as text except for “.txt”. Use comma (,) to separate extensions. If not specified (blank), text files with extensions other than .txt will not be converted. e.g.).ini,.inf If there is no “.” in the head of extension, fail to convert without warning.[Output Folder] area[Select an output directory]Press the Browse button and select an output directory.[Same as source]The PDF files will be saved in the same directory as each source file in the file list.[Output FileName] area[Same name]The PDF files will be saved with the same name as each source file in the file list.[Rename+Incremental No.]Rename the file name. The PDF files will be saved with the new name and incremental no. The following characters cannot be used. \\ / : * ? &quot; < >[Incremental No.][None] No joint character like File1, File2, File3...[Hyphen] Add a hyphen between file name and incremental number like File-1, File-2, File-3...[Underline] Add an underline between file name and incremental number like File_1, File_2, File_3...[Continue processing without stopping if any error occurs]If an error occurs, the process will be interrupted, at which point processing of the remaining files will also be stopped. Check this checkbox to continue the conversion process for the next file without stopping even if an error occurs. The results of the process can be confirmed in the “Status” column of the file list. [Output a PDF processing log]Check this checkbox to create a log relating to PDF conversion. You must specify an output destination from [Browse] when outputting a log. The log file is constantly added, not particularly limited in size. The log file name is fixed as “skyutil + date + .txt”, for example “skyutil20201117.txt”. [Start]Press the [Start] button to start processing. The processing will be canceled pressing [Cancel] button and the created files will be left. The files might be displayed as &quot;Complete&quot; if the [Cancel] button is pressed before converting.A fault might be happened in a file name or a directory to output if there is a file to be a time-out. ",title:"[Create PDF files] Tab",HTMLFileName:"Create PDF files Tab_guid-255b6219-f400-489c-2226-cf7d70c2acb3_3.html"},{topicId:"guid-a82cc4f1-4dd3-500a-5df5-0c5e923306c4",body:"[Extract form data] Tab[Extract form data] tab is available only when the SmartWorker option is applied. Extract the form data contained in a PDF file and outputs it as either a CSV or XML file. [Specify form PDF] area[Add] [Select folder] Select a PDF file from [Select file] to add the selected PDF file to the file list. Select a folder from [Select folder] to add all PDF files directly under that folder to the file list. Does not apply to subfolders. Files and folders can also be added to the list by dragging and dropping them.  [Up] [Down]To change the order, press the [Up][Down] buttons.[Sort] [...]When you press [...], you can configure the sorting of the file list. When you press [Sort], the file list is sorted according to the settings made in [...].[Remove] [Remove All]If there is a file that you want to stop extracting form data from, press [Delete] to remove it from the file list. To remove all files from the file list, press the [Remove All] button.   Form data is extracted in order from the top of the file list.[Output format] areaCSV Output the extracted form data as a comma-separated CSV file. PDF FileName, PDF Folder, and Result are always output to the CSV file. CSV : Output to file for each PDF (Values are set in horizontal)Form data set extracted by one PDF is saved as one CSV file. File name : <Original file name>.csv 1st row : Item name 2nd row : Data (Ex.) Sample1.csv PDF FileName, PDF Folder, Result, &quot;txt_1&quot;, &quot;txt_2&quot; Sample1.pdf, C:\\test, Success, &quot;ABC&quot;, &quot;abc&quot;CSV : Output a file for each PDF (Values are set in vertical)Form data set extracted by one PDF is saved as one CSV file. File name : <Original file name>.csv 1st column : Item name 2nd column : Data (Ex.) Sample1.csv PDF FileName, Sample1.pdf PDF Folder, C:\\test Result, Success &quot;txt_1&quot;, &quot;ABC&quot; &quot;txt_2&quot;, &quot;abc&quot;CSV : Output a file for all PDF by specifying the template PDFData that matches the field name of the specified PDF is extracted from all PDF files in the file list, and output as a single CSV file.  file name : <Template PDF file name>.csv 1st row : Item name based on the contents of the specified the Template PDF. 2nd row : the value of the specified the Template PDF. 3rd and subsequent : the values of PDF files in the file list. (Ex.) Template.pdf PDF FileName, PDF Folder, Result, &quot;txt_1&quot;, &quot;txt_2&quot; Template.pdf, C:\\test, Success, &quot;&quot;, &quot;&quot; Sample1.pdf, C:\\test, Success, &quot;ABC&quot;, &quot;abc&quot; Sample2.pdf, C:\\test, Success, &quot;DEF&quot;, &quot;def&quot; Sample3.pdf, C:\\test, Success, &quot;GHI&quot;, &quot;ghi&quot;XML XML : Output a file for each PDF Select [XML: Output a file for each PDF] to output the extracted form data as an XML file. The content of the output XML file is the same as the XML data that can be obtained using the GetInputXmlData function of SkyPDF ToolsSDK III, a separate product we offer. [Template PDF] area[PDF file at the top of the PDF list is used as the template PDF]PDF file at the top of the PDF list is used as the template PDF. [Specify the template PDF file]Press [Browse] and specify the template PDF. [Specify Folder] area[Output to specified folder] Press the Browse button and select an output directory. Cannot output to a folder that does not exist or a folder for which you do not have write permission. [Output to same folder as original file] The PDF file will be saved in the same directory as the source file in the file list. Cannot be selected when [CSV: Output a file for all PDF by specifying the template PDF] is specified. [Same as template PDF]Can be selected when [CSV: Output a file for all PDF by specifying the template PDF] is specified.[If file with same filename exists, add sequential number and output]When this checkbox is unchecked, if a file with the same filename exists in the output destination, it will be overwritten and saved. When this checkbox is checked, if a file with the same filename exists in the output destination, a sequential number will be added to the end of the filename and it will be saved as a separate file.  [Continue processing without stopping if any error occurs]If an error occurs, the process will be interrupted, at which point processing of the remaining files will also be stopped. Check this checkbox to continue the conversion process for the next file without stopping even if an error occurs. The results of the process can be confirmed in the “Status” column of the file list. [Begin extraction]Press the [Begin extraction] button to start processing.  ",title:"[Extract form data] Tab",HTMLFileName:"Extract form data Tab_guid-a82cc4f1-4dd3-500a-5df5-0c5e923306c4_4.html"},{topicId:"guid-3e7d0028-dfab-4eb3-525c-50e0baf98843",body:"[Setting] MenuIn this page, explain about the settings menu of the SkyPDF Utility. PDF SettingOnly when the [Create PDF files] tab is open, you can select and set the printer to use for PDF creation. This product may have multiple virtual printers installed for PDF creation. If multiple printers are installed, select which printer to use for PDF output, and assign settings from [Properties].  Refer to each manual for more information about the virtual printers for PDF creation. When specifying the output folder, this tool's settings take precedence over the printer settings.When an image file is converted to a PDF file, the driver settings of this product are not applied.OptionThe tab that is displayed first when this tool starts up can be selected.  ",title:"[Setting] Menu",HTMLFileName:"Setting Menu_guid-3e7d0028-dfab-4eb3-525c-50e0baf98843_5.html"},{topicId:"guid-c51e2fea-0089-f660-e2c9-969f4ad5a18e",body:"VersionSelect [Version] from the [Help] menu of the SkyPDF Utility. Display and confirm the version of this tool. ",title:"Version",HTMLFileName:"Version_guid-c51e2fea-0089-f660-e2c9-969f4ad5a18e_6.html"}]